--
-- Author RivalBomb
-- 05.01.2016
--
-- Noisesound Script fr Steyr 8150 (Tren, Heckfenster, Seitenscheiben hinten, vorne und Dachluke)
--
noisesound8150 = {};

function noisesound8150.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function noisesound8150:load(xmlFile)

	if self.isClient then
		self.sampleOpenWindowL = Utils.loadSample(xmlFile, {}, "vehicle.openWindowLSound", "sound/side_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseWindowL = Utils.loadSample(xmlFile, {}, "vehicle.closeWindowLSound", "sound/side_close.wav", self.baseDirectory, self.components[1].node);
		self.sampleOpenWindowR = Utils.loadSample(xmlFile, {}, "vehicle.openWindowRSound", "sound/side_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseWindowR = Utils.loadSample(xmlFile, {}, "vehicle.closeWindowRSound", "sound/side_close.wav", self.baseDirectory, self.components[1].node);
		self.sampleOpenBack = Utils.loadSample(xmlFile, {}, "vehicle.openBackWindowSound", "sound/back_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseBack = Utils.loadSample(xmlFile, {}, "vehicle.closeBackWindowSound", "sound/back_close.wav", self.baseDirectory, self.components[1].node);
		self.sampleOpenUp = Utils.loadSample(xmlFile, {}, "vehicle.openUpSound", "sound/dach_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseUp = Utils.loadSample(xmlFile, {}, "vehicle.closeUpSound", "sound/dach_close.wav", self.baseDirectory, self.components[1].node);		
		self.sampleOpenDoorL = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "sound/door_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorL = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "sound/door_close.wav", self.baseDirectory, self.components[1].node);
		self.sampleOpenDoorR = Utils.loadSample(xmlFile, {}, "vehicle.openDoorSound", "sound/door_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseDoorR = Utils.loadSample(xmlFile, {}, "vehicle.closeDoorSound", "sound/door_close.wav", self.baseDirectory, self.components[1].node);
		self.sampleOpenWindowLV = Utils.loadSample(xmlFile, {}, "vehicle.openWindowLVSound", "sound/side_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseWindowLV = Utils.loadSample(xmlFile, {}, "vehicle.closeWindowLVSound", "sound/side_close.wav", self.baseDirectory, self.components[1].node);
		self.sampleOpenWindowRV = Utils.loadSample(xmlFile, {}, "vehicle.openWindowRVSound", "sound/side_open.wav", self.baseDirectory, self.components[1].node);
		self.sampleCloseWindowRV = Utils.loadSample(xmlFile, {}, "vehicle.closeWindowRVSound", "sound/side_close.wav", self.baseDirectory, self.components[1].node);
	end;
end;

function noisesound8150:delete()

	if self.sampleOpenWindowL ~= nil then
		Utils.deleteSample(self.sampleOpenWindowL);
	end;
	if self.sampleOpenWindowR ~= nil then
		Utils.deleteSample(self.sampleOpenWindowR);
	end;
	if self.sampleCloseWindowL ~= nil then
		Utils.deleteSample(self.sampleCloseWindowL);
	end;
	if self.sampleCloseWindowR ~= nil then
		Utils.deleteSample(self.sampleCloseWindowR);
	end;
	if self.sampleOpenBack ~= nil then
		Utils.deleteSample(self.sampleOpenBack);
	end;
	if self.sampleCloseBack ~= nil then
		Utils.deleteSample(self.sampleCloseBack);
	end;
	if self.sampleOpenUp ~= nil then
		Utils.deleteSample(self.sampleOpenUp);
	end;
	if self.sampleCloseUp ~= nil then
		Utils.deleteSample(self.sampleCloseUp);
	end;
	if self.sampleOpenDoorL ~= nil then
		Utils.deleteSample(self.sampleOpenDoorL);
	end;
	if self.sampleOpenDoorR ~= nil then
		Utils.deleteSample(self.sampleOpenDoorR);
	end;
	if self.sampleCloseDoorL ~= nil then
		Utils.deleteSample(self.sampleCloseDoorL);
	end;
	if self.sampleCloseDoorR ~= nil then
		Utils.deleteSample(self.sampleCloseDoorR);
	end;
	if self.sampleOpenWindowLV ~= nil then
		Utils.deleteSample(self.sampleOpenWindowLV);
	end;
	if self.sampleOpenWindowRV ~= nil then
		Utils.deleteSample(self.sampleOpenWindowRV);
	end;
	if self.sampleCloseWindowLV ~= nil then
		Utils.deleteSample(self.sampleCloseWindowLV);
	end;
	if self.sampleCloseWindowRV ~= nil then
		Utils.deleteSample(self.sampleCloseWindowRV);
	end;
end;

function noisesound8150:mouseEvent(posX, posY, isDown, isUp, button)
end;

function noisesound8150:keyEvent(unicode, sym, modifier, isDown)
end;

function noisesound8150:update(dt)

			if self:getIsAnimationPlaying("HintenLinks") then
				if self.animations["HintenLinks"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenWindowL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseWindowL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenWindowL,1,1,nil);
					end;
				elseif self.animations["HintenLinks"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseWindowL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenWindowL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseWindowL,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("HintenRechts") then
				if self.animations["HintenRechts"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenWindowR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseWindowR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenWindowR,1,1,nil);
					end;
				elseif self.animations["HintenRechts"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseWindowR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenWindowR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseWindowR,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("Hinten") then
				if self.animations["Hinten"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenBack, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseBack, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenBack,1,1,nil);
					end;
				elseif self.animations["Hinten"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseBack, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenBack, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseBack,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("Luke") then
				if self.animations["Luke"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenUp, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseUp, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenUp,1,1,nil);
					end;
				elseif self.animations["Luke"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseUp, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenUp, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseUp,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("TuerLinks") then
				if self.animations["TuerLinks"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenDoorL,1,1,nil);
					end;
				elseif self.animations["TuerLinks"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseDoorL, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenDoorL, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseDoorL,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("TuerRechts") then
				if self.animations["TuerRechts"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenDoorR,1,1,nil);
					end;
				elseif self.animations["TuerRechts"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseDoorR, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenDoorR, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseDoorR,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("VorneLinks") then
				if self.animations["VorneLinks"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenWindowLV, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseWindowLV, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenWindowLV,1,1,nil);
					end;
				elseif self.animations["VorneLinks"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseWindowLV, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenWindowLV, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseWindowLV,1,1,nil);
					end;
				end;
			end;
			if self:getIsAnimationPlaying("VorneRechts") then
				if self.animations["VorneRechts"].currentSpeed > 0 then
					if (not Utils.isSamplePlaying(self.sampleOpenWindowRV, 1.5*dt) and not Utils.isSamplePlaying(self.sampleCloseWindowRV, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleOpenWindowRV,1,1,nil);
					end;
				elseif self.animations["VorneRechts"].currentSpeed < 0 then
					if (not Utils.isSamplePlaying(self.sampleCloseWindowRV, 1.5*dt) and not Utils.isSamplePlaying(self.sampleOpenWindowRV, 1.5*dt)) and self:getIsActiveForSound() then
						Utils.playSample(self.sampleCloseWindowRV,1,1,nil);
					end;
				end;
			end;
		end;

function noisesound8150:updateTick(dt)
end;

function noisesound8150:draw()	
end;